/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\10th Anniversary artifacts\JaanasStaff.cs
Lines of code: 34
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class JaanasStaff : GnarledStaff
	{
		public override int LabelNumber{ get{ return 1079790; } }
		public override int ArtifactRarity{ get{ return 11; } }		


		public override int InitMinHits{ get{ return 120; } }
		public override int InitMaxHits{ get{ return 120; } }

		[Constructable]
		public JaanasStaff()
		{
			Hue = 1155;

			Attributes.DefendChance=15;
			
			WeaponAttributes.MageWeapon = 10;
			Attributes.SpellChanneling = 1;
			Attributes.Luck=220;		
		}

		public JaanasStaff( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}